---
updatedAt: 2025-09-16T11:16:59.000Z
agentTools:
  projectIndex: https://docs.super.ai/llms.txt
---

# Authentication

Super.AI uses API keys to authenticate API requests. You can view and manage your API keys in [your dashboard](https://super.ai/dashboard/) by clicking on the profile icon in the lower left of the screen.

How you pass us your API key depends on whether you're using cURL, Python, or our CLI.

In the panel you can see example requests for creating a job using cURL and Python that include authentication.

With cURL, you use the `-H` flag to pass your API key as `API-KEY`. In Python, you pass your API key into the `Client()` function or with your HTTP client of choice.

If you're using our CLI, you will need to log in using the CLI. You can learn how to do this in our [Getting started with the CLI](https://docs.super.ai/docs/getting-started-with-the-cli#2-log-in-to-the-cli-tool) guide.

```curl cURL
curl "https://api.super.ai/v1/apps/123abc45-6789-01de-f2g3-45h67ijk8901/jobs" \
-X POST \
-H "API-KEY: live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B" \
-H "Content-Type: application/json" \
-d '{ "inputs": [ {"image_url":"https://cdn.super.ai/ImageTagging_input.jpg"} ]}'
```
```python
import superai as ai

client = ai.Client("live_1Ab23cdEFGH4iJ5K67Lmnop8qR10STulWX_2y3Za4_B")

response = client.create_jobs(
    app_id="123abc45-6789-01de-f2g3-45h67ijk8901",
    inputs=[{"image_url": "https://cdn.super.ai/ImageTagging_input.jpg"}],
)

print(response)
```